FUNCTION::SET_USER_S(3stap)

NAME
function::set_user_string_arg - Writes a string to user memory.

SYNOPSIS

    set_user_string_arg(addr:long,val:string)

ARGUMENTS

addr
    The user address to write the string to

val
    The string which is to be written

DESCRIPTION

Writes the given string to a given user memory address. Reports a warning on string copy fault. Requires the use of guru mode (-g).

SEE ALSO
tapset::uconversions-guru(3stap)